Page MenuHomeFreeBSD

Update devel/py-dbus to 1.2.8
ClosedPublic

Authored by tcberner on Jun 24 2018, 12:11 PM.

Details

Reviewers
kwm
antoine
Group Reviewers
gnome
Commits
rP481179: Update devel/py-dbus to 1.2.8
Summary
  • what it says in the title :)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Jun 24 2018, 12:11 PM

the py3-plist does not look right yet

tcberner updated this revision to Diff 44388.Jun 24 2018, 12:18 PM

Fix python3 plist

mat added inline comments.Jun 27 2018, 10:50 AM
devel/pydbus-common/Makefile
9 ↗(On Diff #44388)

Shouldn't this use ${PYTHON_PKGNAMEPREFIX}?

tcberner added inline comments.Jun 27 2018, 5:44 PM
devel/pydbus-common/Makefile
9 ↗(On Diff #44388)

It installs the common files between the different versions of pyXY-dbus.

I think, that using a versioned prefix here would be confusing.

kwm accepted this revision.Jun 30 2018, 3:47 PM

Look good

This revision is now accepted and ready to land.Jun 30 2018, 3:47 PM
antoine requested changes to this revision.Oct 1 2018, 7:18 PM
antoine added a subscriber: antoine.
antoine added inline comments.
devel/pydbus-common/Makefile
72 ↗(On Diff #44388)

Can you USE_PYTHON+= py3kplist so that 2 plists are not needed?

This revision now requires changes to proceed.Oct 1 2018, 7:18 PM
tcberner updated this revision to Diff 48633.Oct 1 2018, 8:16 PM

Remove pkg-plist-py3

antoine accepted this revision.Oct 2 2018, 2:36 PM
This revision is now accepted and ready to land.Oct 2 2018, 2:36 PM
This revision was automatically updated to reflect the committed changes.